#ifndef _H_SHADER_H
#define _H_SHADER_H

#include <glad/glad.h>

#include <fstream>
#include <iostream>
#include <sstream>

class Shader
{
private:
public:
	unsigned int ID;
	Shader(const char* vertexPath, const char* fragmentPath);

	void use() { glUseProgram(ID); }
	void setFloat(const std::string& name, float value);
	void setInt(const std::string& name, int value);
	void setBool(const std::string& name, bool value);
	void setMatrix4f(const std::string& name, const float* value);

	~Shader();
};

#endif // _H_SHADER_H